#include <X11/Xlib.h>
#include "psfonts.h"

#define NULL 0

/* printer font names for indicator window */

#ifndef TFX
struct _fstruct fontnames[NUMFONTS] = {
	{"Times-Roman",			"-adobe-times-medium-r-*--*", NULL},
	{"Times-Italic",		"-adobe-times-medium-i-*--*", NULL},
	{"Times-Bold",			"-adobe-times-bold-r-*--*", NULL},
	{"Times-BoldItalic",		"-adobe-times-bold-i-*--*", NULL},
	{"AvantGarde-Book",		"-schumacher-clean-medium-r-*--*", NULL} ,
	{"AvantGarde-BookOblique",	"-schumacher-clean-medium-i-*--*", NULL} ,
	{"AvantGarde-Demi",		"-schumacher-clean-bold-r-*--*", NULL},
	{"AvantGarde-DemiOblique",	"-schumacher-clean-bold-i-*--*", NULL},
	{"Bookman-Light",		"NONE", NULL},
	{"Bookman-LightItalic",		"NONE", NULL},
	{"Bookman-Demi",		"NONE", NULL},
	{"Bookman-DemiItalic",		"NONE", NULL},
	{"Courier",			"-adobe-courier-medium-r-*--*", NULL},
	{"Courier-Oblique",		"-adobe-courier-medium-o-*--*", NULL},
	{"Courier-Bold",		"-adobe-courier-bold-r-*--*", NULL},
	{"Courier-BoldOblique",		"-adobe-courier-bold-o-*--*", NULL},
	{"Helvetica",			"-adobe-helvetica-medium-r-*--*", NULL},
	{"Helvetica-Oblique",		"-adobe-helvetica-medium-o-*--*", NULL},
	{"Helvetica-Bold",		"-adobe-helvetica-bold-r-*--*", NULL},
	{"Helvetica-BoldOblique",	"-adobe-helvetica-bold-o-*--*", NULL},
	{"Helvetica-Narrow",		"NONE", NULL},
	{"Helvetica-Narrow-Oblique",	"NONE", NULL},
	{"Helvetica-Narrow-Bold",	"NONE", NULL},
	{"Helvetica-Narrow-BoldOblique","NONE", NULL},
	{"NewCenturySchlbk-Roman",	"-adobe-new century schoolbook-medium-r-*--*", NULL},
	{"NewCenturySchlbk-Italic",	"-adobe-new century schoolbook-medium-i-*--*", NULL},
	{"NewCenturySchlbk-Bold",	"-adobe-new century schoolbook-bold-r-*--*", NULL},
	{"NewCenturySchlbk-BoldItalic",	"-adobe-new century schoolbook-bold-i-*--*", NULL},
	{"Palatino-Roman",		"-*-lucidabright-medium-r-*--*", NULL},
	{"Palatino-Italic",		"-*-lucidabright-medium-i-*--*", NULL},
	{"Palatino-Bold",		"-*-lucidabright-demibold-r-*--*", NULL} ,
	{"Palatino-BoldItalic",		"-*-lucidabright-demibold-i-*--*", NULL} ,
	{"Symbol",			"*-symbol-medium-r-*--*", NULL},
	{"ZapfChancery-MediumItalic",	"-*-zapfchancery-medium-i-*--*", NULL},
	{"ZapfDingbats",		"-*-zapfdingbats-*-*-*--*", NULL},
	};
#else
struct _fstruct fontnames[NUMFONTS] = {
	{"Times-Roman",		"-adobe-times-medium-r-*--*", NULL},
	{"Times-Roman",		"-adobe-times-medium-r-*--*", NULL},
	{"Times-Bold",		"-adobe-times-bold-r-*--*", NULL},
	{"Times-Italic",	"-adobe-times-medium-i-*--*", NULL},
	{"Helvetica",		"-adobe-helvetica-medium-r-*--*", NULL},
	{"Courier",		"-adobe-courier-medium-r-*--*", NULL},
       	};
#endif
